=== debian/changelog ===
xsconsole (0.9.0-2) UNRELEASED; urgency=low

  * Use '_libdir' macro rather than hard coding library installation path

 -- Euan Harris <euan.harris@citrix.com>  Mon, 16 Sep 2013 12:00:00 +0000

xsconsole (0.9.0-1) UNRELEASED; urgency=low

  * Initial package

 -- James Bulpin <James.Bulpin@citrix.com>  Fri, 05 Jul 2013 12:00:00 +0000
