=== debian/control ===
Source: xsconsole
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 python,
 debhelper (>= 8),
 ocaml-nox,
 dh-ocaml (>= 0.9)

Package: xsconsole
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 python-pam,
 xapi-python-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: XenServer Host Configuration Console
 Console tool for configuring a XenServer installation.
